- 75481d3 hush: functions have priority over builtins (!) by Denys Vlasenko · 7 years ago
- bf1c344 hush: if STANDALONE, close interactive fd for NOEXECed children by Denys Vlasenko · 7 years ago
- 32fdf2f ash,hush: ">&10" redirects to script/tty fds should not work by Denys Vlasenko · 7 years ago
- 657e900 hush: massage redirect code to be slightly more like ash by Denys Vlasenko · 7 years ago
- 0f018b3 hush: fix handling of empty heredoc EOF marker by Denys Vlasenko · 7 years ago
- 2093ad2 hush: fix ${##}, ${#?}, ${#!} handling by Denys Vlasenko · 7 years ago
- 86981e3 ash: allow "trap NUM [SIG]..." syntax by Denys Vlasenko · 7 years ago
- 645c697 hush: treat ${#?} as "length of $?" by Denys Vlasenko · 7 years ago
- 621fc50 hush: fix a case when redirect to a closed fd #1 is not restoring (closing) it by Denys Vlasenko · 7 years ago
- 0675b03 hush: use mempcpy where useful by Denys Vlasenko · 7 years ago
- 72089cf config: deindent all help texts by Denys Vlasenko · 7 years ago
- f9d656f hush: remove contradicting size info in config help by Denys Vlasenko · 7 years ago
- 4eed2c6 Update menuconfig items with approximate applet sizes by Denys Vlasenko · 7 years ago
- d2c15bc hush: tweak "help" output by Denys Vlasenko · 7 years ago
- cf51109 hush: fix readonly2.tests failure by Denys Vlasenko · 7 years ago
- 5b2cc0a hush: do not assign to readonly VAR in "VAR=VAL CMD" syntax too by Denys Vlasenko · 7 years ago
- 38ef39a hush: add readonly testcase, fix fallout by Denys Vlasenko · 7 years ago
- 3bab36b hush: convert exp/ro/local parameters to bitfields in one flag param by Denys Vlasenko · 7 years ago
- 6b0695b hush: HUSH_READONLY depends on HUSH by Denys Vlasenko · 7 years ago
- 6b48e1f hush: forgot to emit error on (failing) second "readonly VAR=VAL" by Denys Vlasenko · 7 years ago
- b95ee96 hush: smaller code in !READONLY configs by Denys Vlasenko · 7 years ago
- 1e66042 hush: implement "readonly" builtin by Denys Vlasenko · 7 years ago
- 0ba80e4 hush: small fix to last commit by Denys Vlasenko · 7 years ago
- e32b650 hush: support ${VAR:N:-M} by Denys Vlasenko · 7 years ago
- 203fd7b shells: expand TODO comments, no code changes by Denys Vlasenko · 7 years ago
- b24e55d hush: fix "cmd1 && cmd2 &" handling on NOMMU by Denys Vlasenko · 7 years ago
- ee553b9 hush: fix and_or_and_backgrounding.tests failure by Denys Vlasenko · 7 years ago
- 2ed74e2 hush: make "wait %1" work even if the job is dead by Denys Vlasenko · 7 years ago
- 0c5657e hush: remove superfluous comparison by Denys Vlasenko · 7 years ago
- 9fda609 hush: add support for "set -e" by Denys Vlasenko · 7 years ago
- b057806 hush: add TODO for "set -e" by Denys Vlasenko · 7 years ago
- 9e55a15 hush: simplify insert_job_into_table() a bit by Denys Vlasenko · 7 years ago
- 1609629 hush: rename a few functions by Denys Vlasenko · 7 years ago
- 1310263 hush: explain why wait5.tests is failing by Denys Vlasenko · 7 years ago
- 840a435 hush: fix "(sleep 1; exit 3) & sleep 2; echo $?; wait $!; echo $?" by Denys Vlasenko · 7 years ago
- 2db7461 hush: fix two redirection testcase failures by Denys Vlasenko · 7 years ago
- 69a5ec9 main: fix the case where user has "halt" as login shell. Closes 9986 by Denys Vlasenko · 7 years ago
- 50b8b29 hush: add a TODO about redir3.tests failure by Denys Vlasenko · 7 years ago
- e59591a hush: Print error messages on shift -1 by Denys Vlasenko · 7 years ago
- 5dad7bd hush: implement negative start in the ${v: -n[:m]} idiom by Denys Vlasenko · 7 years ago
- 7456298 hush: "adopt" ash signal4.tests by Denys Vlasenko · 7 years ago
- 637982f hush: correctly handle quoting in "case" even if !BASH_PATTERN_SUBST by Denys Vlasenko · 7 years ago
- bd43c67 hush: fix quoted_punct.tests failure by Denys Vlasenko · 7 years ago
- d4e4fdb fixes for bugs found by make_single_applets.sh by Denys Vlasenko · 7 years ago
- 2e989ef msh: delete this applet by Denys Vlasenko · 7 years ago
- 4ee824f randomconfig fixes by Denys Vlasenko · 7 years ago
- f547041 ash,hush: fix SIGCHLD interrupting read builtin by Denys Vlasenko · 8 years ago
- 10ad622 Spelling fixes in comments, documentation, tests and examples by Denys Vlasenko · 8 years ago
- 205d48e *: add comment about APPLET_ODDNAME format by Denys Vlasenko · 8 years ago
- 8944c67 hush: reinstate [[ builtin by Denys Vlasenko · 8 years ago
- 027d3ab hush: split bash compatible extensions into separate defines. No code changes by Kang-Che Sung · 8 years ago
- 80f806c hush: shorten output of "help" builtin by Denys Vlasenko · 8 years ago
- a1184af hush: reorder builtins (cd and pwd ought to be close, etc), no code changes by Denys Vlasenko · 8 years ago
- 265062d shells: make hush test optional, rename ASH_BUILTIN_foo -> ASH_foo by Denys Vlasenko · 8 years ago
- f560422 Big cleanup in config help and description by Denys Vlasenko · 8 years ago
- 1cc6804 hush: make echo builtin optional by Denys Vlasenko · 8 years ago
- 2b15590 hush: fix a bug in argv restoration after sourcing a file by Denys Vlasenko · 8 years ago
- 4e4f88e hush: global_args_malloced is used only if set builtin is enabled by Denys Vlasenko · 8 years ago
- cc2fd5a hush: fix 'defined but not used' warning by Denys Vlasenko · 8 years ago
- 5362cc4 hush: remove redundand test for ENABLE_HUSH_JOB by Denys Vlasenko · 8 years ago
- fd68f1e hush: fix kill builtin without jobs support by Denys Vlasenko · 8 years ago
- 442a414 typo fix by Denys Vlasenko · 8 years ago
- 41ade05 hush: conditionalize print_escaped() on EXPORT || TRAP by Denys Vlasenko · 8 years ago
- 4471969 hush: make memleak builtin optional by Denys Vlasenko · 8 years ago
- 6ec76d8 hush: make export builtin optional by Denys Vlasenko · 8 years ago
- d5933b1 hush: make umask builtin optional by Denys Vlasenko · 8 years ago
- 10d5ece hush: make set/unset builtins optional by Denys Vlasenko · 8 years ago
- 7a85c60 hush: make read and trap builtins optional by Denys Vlasenko · 8 years ago
- 1125d7d hush: kill builtin and kill %jobspec support by Denys Vlasenko · 8 years ago
- d5b5c2f hush: support %%, %+ and % jobspec (meaning "current job") by Denys Vlasenko · 8 years ago
- b05bcaf hush: correct exitcode for unterminated ')' - exitcode2.tests testcase by Denys Vlasenko · 8 years ago
- 0b88358 Make it possible to select "sh" and "bash" aliases without selecting ash or hush by Denys Vlasenko · 8 years ago
- 6704746 shell: move "config" blocks above their use in coditional includes by Denys Vlasenko · 8 years ago
- b6afcc7 shell: suppress "unused var/func" warnings on some configs by Denys Vlasenko · 8 years ago
- 4b89d51 ash,hush: make ^C in interactive mode visually much closer to bash behavior by Denys Vlasenko · 8 years ago
- 8660aeb ash,hush: ^C from command line should set $? to 128+SIGINT by Denys Vlasenko · 8 years ago
- 87e039d hush: make getch/peek functions directly called by Denys Vlasenko · 8 years ago
- 00a06b9 hush: renumber PIPE_foo, make PIPE_SEQ = 0 by Denys Vlasenko · 8 years ago
- 6c635d6 hush: small optimization in run_list by Denys Vlasenko · 8 years ago
- 5cc9bf6 hush: deindent large block of code, no code changes by Denys Vlasenko · 8 years ago
- 1eada9a hush: simplify insert_bg_jobs by Denys Vlasenko · 8 years ago
- 830ea35 hush: make "wait %1" less likely to play with signal mask by Denys Vlasenko · 8 years ago
- 02affb4 hush: rework "wait %jobspec" to work in non-interactive shells too by Denys Vlasenko · 8 years ago
- 26ad94b hush: "wait $!; echo $?" should return 127 if $! already exited by Denys Vlasenko · 8 years ago
- 62b717b hush: implement "wait %jobspec" by Denys Vlasenko · 8 years ago
- 4e1c8b4 hush: factor out %jobspec parsing by Denys Vlasenko · 8 years ago
- 5d5a611 hush: comment fix by Denys Vlasenko · 8 years ago
- 4224647 hush: do not allow sh -c '{ echo boo }' by Denys Vlasenko · 8 years ago
- aeaee43 hush: case logic for setting $? was still wrong by Denys Vlasenko · 8 years ago
- 30bfcf6 hush: non-matching "case" statement sets $? to 0 by Denys Vlasenko · 8 years ago
- 672a55e hush: allow { cmd } to not be terminated by semicolon in some cases by Denys Vlasenko · 8 years ago
- 9db74e4 hush: fix "(sleep 1; exit 3) & sleep 2; echo $?; wait $!; echo $?" by Denys Vlasenko · 8 years ago
- 7e67536 hush: fix "wait PID" by Denys Vlasenko · 8 years ago
- 2eb0a7e ash: [SHELL] Expand ENV before using it by Denys Vlasenko · 8 years ago
- b7adf7a ash,hush: set exit code 127 in "sh /does/not/exist" case by Denys Vlasenko · 8 years ago
- 7f0ebbc hush: add commented-out debug printouts in "memleak" built-in by Denys Vlasenko · 8 years ago
- a769390 hush: fix a memory corruption when exported variable is modified by Denys Vlasenko · 8 years ago
- 04465da hush: fix exitcode on exec failure with EACCES - should be 126 by Denys Vlasenko · 8 years ago
- 80729a4 whitespace fixes by Denys Vlasenko · 8 years ago
- 61508d9 hush: fix var3.tests by Denys Vlasenko · 8 years ago